Name:           python-wwvb
Version:        6.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Generate WWVB timecodes for any desired time

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/jepler/wwvbpy
Source:         %{pypi_source wwvb}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'wwvb' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-wwvb
Summary:        %{summary}

%description -n python3-wwvb %_description


%prep
%autosetup -p1 -n wwvb-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-wwvb -f %{pyproject_files}


%changelog
%autochangelog